> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a call GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_installation_id}/actions/{app_action_id}/calls/{call_id} Reference: https://contentful.com/developers/docs/references/content-management-api/app-action-calls/get-a-call ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `environment_id` (string, required) — environment_id identifier - `app_installation_id` (string, required) — app_installation_id identifier - `app_action_id` (string, required) — app_action_id identifier - `call_id` (string, required) — call_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "sys": { "action": { "sys": { "id": "", "linkType": "AppAction", "type": "Link" } }, "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-04-09T23:45:24.000Z", "createdBy": { "sys": { "id": "6FfrUHfsHdvhsLi9czfji", "linkType": "AppDefinition", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "error": { "message": "", "sys": { "id": "", "type": "Error" } }, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "status": "processing | succeeded | failed", "type": "AppActionCall", "updatedAt": "2025-04-09T23:45:24.000Z", "updatedBy": { "sys": { "id": "6FfrUHfsHdvhsLi9czfji", "linkType": "AppDefinition", "type": "Link" } } } } ``` **SDK Code** ```android Android No snippet for this SDK. ``` ```java Java No snippet for this SDK. ``` ```kotlin Kotlin No snippet for this SDK. ``` ```swift Swift No snippet for this SDK. ``` ```js-legacy JavaScript (legacy) No snippet for this SDK. ``` ```javascript JavaScript No snippet for this SDK. ``` ```php PHP No snippet for this SDK. ``` ```ruby Ruby No snippet for this SDK. ``` ```python Python No snippet for this SDK. ``` ```.net .NET No snippet for this SDK. ```